curl --request GET \
--url https://api.hubapi.com/cms/v3/pages/site-pages \
--header 'Authorization: Bearer <token>'{
"results": [
{
"abStatus": "automated_loser_variant",
"abTestId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"contentTypeCategory": "0",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentState": "AGENT_GENERATED",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"language": "aa",
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"pageRedirected": true,
"password": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"slug": "<string>",
"state": "<string>",
"subcategory": "<string>",
"templatePath": "<string>",
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Retrieve all website pages. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.
curl --request GET \
--url https://api.hubapi.com/cms/v3/pages/site-pages \
--header 'Authorization: Bearer <token>'{
"results": [
{
"abStatus": "automated_loser_variant",
"abTestId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"contentTypeCategory": "0",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentState": "AGENT_GENERATED",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"language": "aa",
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"pageRedirected": true,
"password": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"slug": "<string>",
"state": "<string>",
"subcategory": "<string>",
"templatePath": "<string>",
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
Whether to return only results that have been archived.
The maximum number of results to display per page.
Was this page helpful?